<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmVault11 Interface Members
See Also Properties Methods

Collapse All Expand All

EPDM.Interop.epdm Namespace : IEdmVault11 Interface

The following tables list the members exposed by IEdmVault11.

# Public Properties

| Name | Description
--- | --- | ---
| ItemRootFolder | Gets the interface to the invisible root folder of all items and item folders.
| ItemRootFolderID | Gets the ID of the invisible root folder of all items and item folders.

Top

# Public Methods

| Name | Description
--- | --- | ---
| BrowseForFolder2 | Displays a Browse for Folder dialog box in which the user can click a file or item folder.
| CreateNewVault | Creates a new vault.
| CreateNewVaultView | Creates a local view of a file vault in File Explorer.
| GetErrorMessage | Gets a description for the specified error code.
| GetErrorName | Gets an internal error code name for the specified error code.
| GetLicense | Gets all of the SOLIDWORKS PDM Professional licenses installed in this vault.
| GetLoggedInWindowsUserID | Gets the ID of the user who is currently logged in through the SOLIDWORKS PDM Professional client software on this machine.
| InstallLicense | Obsolete. Replaced by IEdmVault14::InstallLicense2.
| LogInWindowsUser | Logs into SOLIDWORKS PDM Professional as the specified user.

Top

# See Also

####

IEdmVault11 Interface
EPDM.Interop.epdm Namespace